import { EpochMillis } from "../../../../common/model/Primitives";
import { EpochMillisUnboxed } from "../../../../common/model/UnboxedPrimitives";
import { SizeInBytesUnboxed, SizeInBytes } from "@upload-io/upload-shared-iso-lite";
export interface StorageStatisticsSegmentDto {
    firstFileCreated: EpochMillis | undefined;
    lastFileCreated: EpochMillis | undefined;
    totalFileCount: number;
    totalFileSize: SizeInBytes;
}
export interface StorageStatisticsSegmentUnboxedDto {
    firstFileCreated: EpochMillisUnboxed | null;
    lastFileCreated: EpochMillisUnboxed | null;
    totalFileCount: number;
    totalFileSize: SizeInBytesUnboxed;
}
export declare namespace StorageStatisticsSegmentDto {
    const empty: StorageStatisticsSegmentDto;
    function combine(left: StorageStatisticsSegmentDto, right: StorageStatisticsSegmentDto): StorageStatisticsSegmentDto;
}
